Index: code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9756)
+++ code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9757)
@@ -199,4 +199,5 @@
 <!-- QuestEffectBeacon's -->
 
+	<!-- START -->
 	<QuestEffectBeacon times=0>
 		<effects>
@@ -208,10 +209,8 @@
 			</execute>
 		</events>
-		<!--<attached>
-			<BlinkingBillboard position="8000,0,0" colour="1,0,0" frequency=0.5 amplitude=5 material="Examples/Flare" />
-		</attached> -->
 	</QuestEffectBeacon>
 
-	<QuestEffectBeacon times=1>
+	<!-- guard 1 -->
+	<QuestEffectBeacon times=0>
 		<effects>
 			<CompleteQuest questId="spacefight.flying1" />
@@ -224,25 +223,42 @@
 	</QuestEffectBeacon>
 
-        <QuestEffectBeacon times=1>
-        	<effects>
-        	        <CompleteQuest questId="spacefight.guard1" />
-        	</effects>
-        	<events>
-        	        <execute>
-        	        	<EventListener event="guard1trigger1" />
-        	        </execute>
-        	</events>
-        </QuestEffectBeacon>
-
 	<QuestEffectBeacon times=0>
 		<events>
 			<execute>
-				<EventListener event=spawntrigger2 />
+				<EventListener event="flying2" /> <!-- eigentlich "guard1trigger4", aber funkt. nicht! -->
 			</execute>
 		</events>
-		<!-- <attached>
-			<BlinkingBillboard position="18000, 5000, 21000" color="1,0,0" frequency=0.6 amplitude=10 material="Examples/Flare" />
-		</attached> -->
+		<effects>
+			<CompleteQuest questId="spacefight.guard1" />
+		</effects>
+		<attached>
+			<BlinkingBillboard position="13500, 2500, 10500" color="1,1,0" frequency=0.6 amplitude=10 material="Examples/Flare" />
+		</attached>
 	</QuestEffectBeacon>
+	
+	<!-- guard 2 -->
+	<QuestEffectBeacon times=0>
+		<effects>
+			<CompleteQuest questId="spacefight.flying2" />
+		</effects>
+		<events>
+			<execute>
+				<EventListener event="flying2" />
+			</execute>		
+		</events>
+	</QuestEffectBeacon>
+
+	<QuestEffectBeacon times=0>
+		<effects>
+			<CompleteQuest questId="spacefight.guard2" />
+		</effects>
+		<events>
+			<execute>
+				<EventListener event="flying3" /> <!-- eigentlich "guard2trigger4", aber funkt. nicht! -->
+			</execute>		
+		</events>
+	</QuestEffectBeacon>
+
+	<!-- Escape -->
 
 <!-- ---------------------------------------------------------------------- -->
@@ -252,10 +268,61 @@
   <DistanceTrigger name=spawntrigger2 position="0,0,0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
 
+  <DistanceTrigger name="flying2" position="13500, 2500, 10500" target="SpaceShip" distance=7000 stayActive="true" delay=0 />
+  <SimpleNotification message="guard 2 in Sicht!"  broadcast="true">
+      <events>
+          <trigger>
+              <EventListener event="flying2" />
+          </trigger>
+      </events>
+  </SimpleNotification>
+
+  <DistanceTrigger name="flying3" position="11000, 3000, 21000" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
+  <SimpleNotification message="Hauptschiff in Sicht!"  broadcast="true">
+      <events>
+          <trigger>
+              <EventListener event="flying3" />
+          </trigger>
+      </events>
+  </SimpleNotification>
+
 <!-- ----------------------------------------------------- -->
 
 <!-- EVENTTRIGGER -->
-
-<!--
- <EventTrigger name="guard1trigger4" activations="1" stayactive="true" delay=0.1>
+    
+    <!-- for guard 1 -->
+    <SimpleNotification message="first"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard1trigger1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="second"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard1trigger2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="thirth"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard1trigger3" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="all shot! Fly to the blinking light"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard1trigger4" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+<!-- @Triggers: attacktriggerX <-> X enemies destroyed , X is an element of [1,4] -->
+    <EventTrigger name="guard1trigger4" activations="1" stayactive="true" delay=0.1>
       <events>
         <trigger>
@@ -285,82 +352,62 @@
       </EventTrigger>
     </EventTrigger>
--->
-
+
+<!-- for guard 2 -->
 
     <SimpleNotification message="first"  broadcast="true">
         <events>
             <trigger>
-                <EventListener event="guard1trigger1" />
+                <EventListener event="guard2trigger1" />
             </trigger>
         </events>
     </SimpleNotification>
 
-    <SimpleNotification message="shot"  broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="Patrol" />
+    <SimpleNotification message="second"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard2trigger2" />
             </trigger>
         </events>
     </SimpleNotification>
 
-    <SimpleNotification message="shot"  broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="firstPatrol" />
+    <SimpleNotification message="thirth"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard2trigger3" />
             </trigger>
         </events>
     </SimpleNotification>
 
-
-
-
-    <SpaceShip position="8000,1000,0" lookat="-1,0,0" name="firstPatrol" visible="true" radarname="Patrol">
-        <events>
-            <visibility>
-                <EventListener event=spawntrigger2 />
-            </visibility>
-        </events>
-        <templates>
-            <Template link=spaceshippirate /> <!--spaceshipTransporter -->
-        </templates>
-        <controller>
-            <WaypointPatrolController alertnessradius=3129 team=1 active=false>
-                <waypoints>
-                    <Model mesh="cube.mesh" scale=0 position="8000,1000,0" />
-                    <Model mesh="cube.mesh" scale=0 position="8000,-1000,0" />
-                </waypoints>
-                <events>
-                    <activity>
-                        <EventListener event=spawntrigger2 /> <!-- activates enemies-->
-                     </activity>
-                </events>
-            </WaypointPatrolController>
-        </controller>
-    </SpaceShip>
-
-
-<!-- @Triggers: attacktriggerX <-> X enemies destroyed , X is an element of [1,6] -->
-    <EventTrigger name="guard1trigger4" activations="1" stayactive="true">
+    <SimpleNotification message="all shot! Fly to the blinking light"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard2trigger4" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+<!-- @Triggers: attacktriggerX <-> X enemies destroyed , X is an element of [1,4] -->
+    <EventTrigger name="guard2trigger4" activations="1" stayactive="true" delay=0.1>
       <events>
         <trigger>
-          <EventListener event="firstPatrol" />
+          <EventListener event="secondPatrol" />
         </trigger>
       </events>
-      <EventTrigger name="guard1trigger3" activations="1" stayactive="true" delay=0.1>
+      <EventTrigger name="guard2trigger3" activations="1" stayactive="true" delay=0.1>
         <events>
           <trigger>
-            <EventListener event="firstPatrol" />
+            <EventListener event="secondPatrol" />
           </trigger>
         </events>
-        <EventTrigger name="guard1trigger2" activations="1" stayactive="true" delay=0.1>
+        <EventTrigger name="guard2trigger2" activations="1" stayactive="true" delay=0.1>
           <events>
             <trigger>
-              <EventListener event="firstPatrol" />
+              <EventListener event="secondPatrol" />
             </trigger>
           </events>
-          <EventTrigger name="guard1trigger1" activations="1" stayactive="true" delay=0.1>
+          <EventTrigger name="guard2trigger1" activations="1" stayactive="true" delay=0.1>
             <events>
               <trigger>
-                <EventListener event="firstPatrol" />
+                <EventListener event="secondPatrol" />
               </trigger>
             </events>
@@ -373,6 +420,6 @@
 
 <!-- Passive Piraten: Guard 1 -->
-<!--
-<SpaceShip position="8000,1000,0" lookat="-1,0,0" name=firstPatrol radarname="Patrol">
+
+<SpaceShip position="8000,1000,0" lookat="-1,0,0" name="firstPatrol" radarname="Patrol">
   <events>
     <visibility>
@@ -393,5 +440,5 @@
 </SpaceShip>
 
-<SpaceShip position="8000,0,0" lookat="-1,0,0" name=firstPatrol radarname="Patrol">
+<SpaceShip position="8000,0,0" lookat="-1,0,0" name="firstPatrol" radarname="Patrol">
   <events>
     <visibility>
@@ -411,9 +458,9 @@
   </controller>
 </SpaceShip>
--->
+
 
 <!-- Angreiffende Piraten: Guard 1 -->
-<!--
-<SpaceShip position="8000,-1000,1000" lookat="8000,1000,-1000" name=firstPatrol visible="true" radarname="Patrol" >
+
+<SpaceShip position="8000,-1000,1000" lookat="8000,1000,-1000" name="firstPatrol" visible="true" radarname="Patrol" >
   <events>
     <visibility>
@@ -439,5 +486,5 @@
 </SpaceShip>
 
-<SpaceShip position="8000,-500,-500" lookat="8000,1000,1000" name=firstPatrol visible="true" radarname="Patrol">
+<SpaceShip position="8000,-500,-500" lookat="8000,1000,1000" name="firstPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
@@ -462,10 +509,10 @@
   </controller>
 </SpaceShip>
--->
+
 <!-- Angreiffende Piraten: Guard 2 -->
-<SpaceShip position="8000,1000,0" lookat="19000,4900,21000" name=secondPatrol visible="true" radarname="Patrol">
+<SpaceShip position="19000,5000,21000" lookat="19000,4900,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
-      <EventListener event=guard1trigger1 />
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -487,5 +534,5 @@
       <events>
         <activity>
-          <EventListener event=guard1trigger1 />
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
@@ -494,8 +541,8 @@
 </SpaceShip>
 
-<SpaceShip position="17000,5000,21000" lookat="17000,5100,21000" name=secondPatrol visible="true" radarname="Patrol">
+<SpaceShip position="17000,5000,21000" lookat="17000,5100,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
-      <EventListener event=guard1trigger4 />
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -517,5 +564,5 @@
       <events>
         <activity>
-          <EventListener event=guard1trigger4 />
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
@@ -524,8 +571,8 @@
 </SpaceShip>
 
-<SpaceShip position="18000,4000,21000" lookat="17000,4000,21000" name=secondPatrol visible="true" radarname="Patrol">
+<SpaceShip position="18000,4000,21000" lookat="17000,4000,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
-      <EventListener event=guard1trigger4 />
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -547,5 +594,5 @@
       <events>
         <activity>
-          <EventListener event=guard1trigger4 />
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
@@ -554,8 +601,8 @@
 </SpaceShip>
 
-<SpaceShip position="18000,6000,21000" lookat="19000,6000,21000" name=secondPatrol visible="true" radarname="Patrol">
+<SpaceShip position="18000,6000,21000" lookat="19000,6000,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
-      <EventListener event=guard1trigger4 />
+      <EventListener event="guard1trigger4" />
     </visibility>
   </events>
@@ -577,5 +624,5 @@
       <events>
         <activity>
-          <EventListener event=guard1trigger4 />
+          <EventListener event="guard1trigger4" />
         </activity>
       </events>
